%define _requires_exceptions pear(PEAR/PackageFileManager.php)
%define upstream_name DB_Sqlite_Tools
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.7
Release:     	%mkrel 2
Summary:    	DB_Sqlite_Tools is an object oriented interface to effectively manage and backup Sqlite databases
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/DB_Sqlite_Tools-%{version}.tgz
URL: 		http://pear.php.net/package/DB_Sqlite_Tools
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
DB_Sqlite_Tools is an object oriented interface to effectively manage and
backup
Sqlite databases.It extends the existing functionality by providing a
comprehensive solution for database backup, live replication, export in XML
format, performance optmization and other functionalities like the
insertion and
retrieval of encrypted data from an Sqlite database without any external
extension

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/DB_Sqlite_Tools.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/DB_Sqlite_Tools.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/DB_Sqlite_Tools
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/DB_Sqlite_Tools.xml


%changelog

* Thu Mar 08 2012 spuhler <spuhler> 0.1.7-2.mga2
+ Revision: 221397
- added _requires_exceptions pear(PEAR/PackageFileManager.php)

* Mon Mar 05 2012 spuhler <spuhler> 0.1.7-1.mga2
+ Revision: 218408
- upgrade to 0.1.7

* Sat Feb 05 2011 spuhler <spuhler> 0.1.6-6.mga1
+ Revision: 47341
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-DB_Sqlite_Tools

